petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDrawTensorContourPatch

PetscDraws a rectangular patch of a contour plot for a two-dimensional array.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawTensorContourPatch(PetscDraw draw,int m,int n,PetscReal *x,PetscReal *y,PetscReal min,PetscReal max,PetscReal *v)

Not Collective

### Input Parameters

| draw | - the draw context
| m,n | - the number of local mesh points in the x and y direction
| x,y | - the locations of the local mesh points
| min,max | - the minimum and maximum value in the entire contour
| v | - the data

### Options Database Keys

-draw_x_shared_colormap -Activates private colormap

### Note

This is a lower level support routine, usually the user will call PetscDrawTensorContour().

### See Also

PetscDrawTensorContour()

Level:advanced
Location:src/sys/classes/draw/interface/dtri.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages